/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __AIR_APPS_DEFINE_H__
#define __AIR_APPS_DEFINE_H__

/* View ID */
#define VIEW_BASE "VIEW_BASE"
#define VIEW_ACTION_MENU "VIEW_ACTION_MENU"

/* Layout ID */
#define LAYOUT_MYAPPS "LAYOUT_MYAPPS"

/* Group for EDC */
#define GRP_VIEW_BASE "grp.view.base"
#define GRP_VIEW_ACTION_MENU "grp.view.action.menu"
#define GRP_ACTION_MENU_CONTENTS "grp.action.menu.contents"
#define GRP_ACTION_MENU_NO_FAVORITE "grp.action.menu.no.favorite"

/* Part for EDC */
#define PART_TOP_TITLE "part.top.title"
#define PART_MENU "part.menu"
#define PART_SORT "part.sort"
#define PART_GENGRID "part.gengrid"
#define PART_APP_COUNT "part.app.count"
#define PART_CONTENTS_TEXT "part.contents.text"
#define PART_THUMB_BG "part.thumb.bg"
#define PART_THUMB_ICON "part.thumb.icon"
#define PART_TEXT_BG "part.text.bg"
#define PART_THUMB_TEXT "part.thumb.text"
#define PART_THUMB_TEXT_BROWSER "part.thumb.text.browser"
#define PART_TOP_BTN "part.top.button"
#define PART_FAVORITE "part.favorite"
#define PART_NO_FAVORITE "part.no.favorite"
#define PART_BUTTON1 "button1"
#define PART_BUTTON2 "button2"
#define PART_POPUP_TITLE "title,text"
#define PART_ACTION_MENU "part.action.menu"

/* State for EDC */
#define STATE_BROWSER "is_browser"
#define STATE_NOT_BROWSER "not_browser"

/* Style */
#define STYLE_MENU_BTN "style.menu.button"
#define STYLE_SORT_BTN "style.sort.button"
#define STYLE_OPTION_BTN "style.option.button"
#define STYLE_CTXPOPUP "style.ctxpopup"
#define STYLE_MYAPP "style.myapp"
#define STYLE_FAVORITE "style.favorite"
#define STYLE_LIVETV_BTN "style.livetv.button"
#define STYLE_MORE_BTN "style.more.button"
#define STYLE_ACTION_MENU_FAV_BTN "style.action.menu.favorite.button"
#define STYLE_ACTION_MENU_UNINSTALL_BTN "style.action.menu.uninstall.button"
#define STYLE_TOAST "style.toast"

/* Signal */
#define SIG_FOCUSED "focused"
#define SIG_UNFOCUSED "unfocused"
#define SIG_SELECTED "selected"
#define SIG_UNSELECTED "unselected"
#define SIG_SOURCE_EDC "edc"
#define SIG_FAVORITE "favorite"
#define SIG_UNFAVORITE "unfavorite"
#define SIG_VISIBLE "visible"
#define SIG_INVISIBLE "invisible"
#define SIG_DISABLE "elm,state,disabled"
#define SIG_TOGGLE "toggle"
#define SIG_TIMEOUT "timeout"
#define SIG_SHOW "show"
#define SIG_HIDE "hide"
#define SIG_HIDE_DONE "hide.done"

/* Signal Source */
#define SRC_MYAPPS "source.myapps"
#define SRC_MENU_BTN "source.menu.btn"
#define SRC_SORT_BTN "source.sort.btn"
#define SRC_LIVETV_BTN "source.livetv.btn"
#define SRC_ACTION_BTN "source.action.btn"
#define SRC_FAVORITE_ICON "source.favorite.icon"

/* Font */
#define FONT_TIZENSANS_REGULAR "BreezeSans"
#define FONT_TIZENSANS_LIGHT "BreezeSans:style=Light"

/* String */
#define STR_APPS "Apps"
#define STR_MYAPPS "My Apps"
#define STR_APPSTORE "App Store"
#define STR_RECENT "Recent"
#define STR_A_TO_Z "A-Z"
#define STR_Z_TO_A "Z-A"
#define STR_NULL "(NULL)"
#define STR_NO_CONTENTS "No Contents"
#define STR_BROWSER "Web Browser"
#define STR_NOT_SUPPORTED "Not Supported"
#define STR_LIVETV "Live TV"
#define STR_FAVORITE "Favorite"
#define STR_UNINSTALL "Uninstall"
#define STR_NO_FAVORITE "No favorite contents"
#define STR_ADD_FAVORITE "Added to your favorite."
#define STR_REMOVE_FAVORITE "Removed from your favorite."
#define STR_WGT "wgt"
#define STR_TPK "tpk"
#define STR_OK "Ok"
#define STR_CANCEL "Cancel"
#define STR_MORE "More"

/* Count */
#define MENU_COUNT 1
#define SORT_COUNT 3
#define ACTION_MENU_COUNT 2

/* Size */
#define SIZE_MYAPPS_GRID_WIDTH (212 + 26)
#define SIZE_MYAPPS_GRID_HEIGHT (294 + 26)
#define SIZE_FAVORITE_GRID_WIDTH (210 + 20)
#define SIZE_FAVORITE_GRID_HEIGHT (292 + 20)
#define SIZE_STR 1024
#define SIZE_MENU_BOX_PAD_H (40 + 40)
#define SIZE_MENU_BOX_PAD_V 0
#define SIZE_ICON_MAX 100
#define SIZE_ACTION_TABLE_BORDER 0
#define SIZE_COL_MAX 4
#define SIZE_TOAST_TIMEOUT 5.0
#define SIZE_FAVORITE_COL_MAX 2
#define SIZE_SCROLLER_STEP 312

/* Image */
#define DEFAULT_APP_ICON_PNG IMGDIR"/ico_default.png"
#define FAVORITE_ICON_PNG "ic_thumbnail_favorite_01.png"
#define BROWSER_ICON_PNG IMGDIR"/ic_apps_web.png"
#define ARROW_ICON_UP_PNG "btn_option_arrow_nor.png"
#define ARROW_ICON_UP_FOC_PNG "btn_option_arrow_foc_up.png"
#define ARROW_ICON_SEL_PNG "btn_option_arrow_sel.png"
#define ARROW_ICON_DISABLE_PNG "btn_option_arrow_dis.png"
#define ACTION_FAV_NOR_PNG "btn_menu_favorite_nor.png"
#define ACTION_FAV_FOC_PNG "btn_menu_favorite_foc.png"
#define ACTION_FAV_SEL_PNG "btn_menu_favorite_sel.png"
#define ACTION_FAV_DIS_PNG "btn_menu_favorite_dis.png"
#define ACTION_UNFAV_NOR_PNG "btn_menu_remote_favorite_nor.png"
#define ACTION_UNFAV_FOC_PNG "btn_menu_remote_favorite_foc.png"
#define ACTION_UNINSTALL_NOR_PNG "btn_menu_del_nor.png"
#define ACTION_UNINSTALL_FOC_PNG "btn_menu_del_foc.png"
#define ACTION_UNINSTALL_SEL_PNG "btn_menu_del_sel.png"
#define ACTION_UNINSTALL_DIS_PNG "btn_menu_del_dis.png"

/* Transition */
#define TRANSITION_FOCUS DECELERATE 0.20
#define TRANSITION_CLICK DECELERATE 0
#define TRANSITION_MENU_SHOW SIN 0.45
#define TRANSITION_MENU_HIDE DECEL 0.3

/* Color */
#define COLOR_ITEM_FOCUS 0 119 246 255

#endif /* __AIR_APPS_DEFINE_H__ */
